httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Kraemer <mar...@apache.org>
Subject Re: make: *** [flood.lo] Error 1
Date Tue, 04 Sep 2007 09:29:24 GMT
On Tue, Sep 04, 2007 at 12:07:04PM +0300, Villem Alari wrote:
> >>I have error and can't install Flood. Error is:
> >>
> >>/usr/share/apr-1.0/build/libtool --silent --mode=compile gcc    -g -
> >>O2  -pipe -Wall -g -O2 -pthread    -DLINUX=2 -D_REENTRANT -
> >>D_GNU_SOURCE -D_LARGEFILE64_SOURCE -I/usr/include/apr-1.0   -I/usr/
> >>include/apr-1.0 -I/usr/include/postgresql -I.   -c flood.c && touch
> >
> >The patch shows this on the example of a 2.2.4 httpd build rules file.

[...]
> 
> can I add this --tag=CC by entering command libtool --tag=CC? Seems  
> not as I tried it and it said:
> 
>  *** Warning: inferring the mode of operation is deprecated.
> *** Future versions of Libtool will require --mode=MODE be specified.
> libtool: warning: cannot infer operation mode without MODE-ARGS
> libtool: you must specify a MODE
> Try `libtool --help' for more information.
> 
> The help of libtool didn't help me too to understand what's wrong.
> 
> Should I do something with that patch or was it only example and  
> shouldn't be used?

It was meant as an example. But the original libtool line DID have a
--mode=compile argument, so when adding --tag=CC, as in the example
patch,
 +SH_COMPILE     = $(LIBTOOL) --mode=compile --tag=CC $(BASE_CC) ...
-->-------------------------->^^^^^^^^^^^^^^^^^^^^^^^
then libtool ought not to complain, or does it?

  Martin
-- 
<Martin.Kraemer@Fujitsu-Siemens.com>        |     Fujitsu Siemens
http://www.fujitsu-siemens.com/imprint.html | 81730  Munich,  Germany

Mime
View raw message